package com.qmth.teachcloud.exchange.common.bean.dto.flow;

import com.qmth.teachcloud.exchange.common.enums.flow.FlowMsgTypeEnum;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * @Description: 流程消息dto
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2023/6/14
 */
public class FlowMsgDto implements Serializable {

    @ApiModelProperty(value = "是否开启消息推送")
    Boolean openFlowMsgPush;

    @ApiModelProperty(value = "消息类型")
    FlowMsgTypeEnum flowMsgType;

    @ApiModelProperty(value = "消息中心地址")
    String mqHostUrl;

    public FlowMsgDto() {

    }

    public FlowMsgDto(Boolean openFlowMsgPush, FlowMsgTypeEnum flowMsgType, String mqHostUrl) {
        this.openFlowMsgPush = openFlowMsgPush;
        this.flowMsgType = flowMsgType;
        this.mqHostUrl = mqHostUrl;
    }

    public Boolean getOpenFlowMsgPush() {
        return openFlowMsgPush;
    }

    public void setOpenFlowMsgPush(Boolean openFlowMsgPush) {
        this.openFlowMsgPush = openFlowMsgPush;
    }

    public FlowMsgTypeEnum getFlowMsgType() {
        return flowMsgType;
    }

    public void setFlowMsgType(FlowMsgTypeEnum flowMsgType) {
        this.flowMsgType = flowMsgType;
    }

    public String getMqHostUrl() {
        return mqHostUrl;
    }

    public void setMqHostUrl(String mqHostUrl) {
        this.mqHostUrl = mqHostUrl;
    }
}
